View Issue Details

IDProjectCategoryView StatusLast Update
0017603MediaMonkey 5Podcastspublic2021-03-03 17:20
Reporterpeke Assigned To 
PriorityurgentSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Target Version5.0.1Fixed in Version5.0 
Summary0017603: Podcasts: Some podcasts shows no Episodes
DescriptionSome podcasts shows no Episodes even they actually exist.

https://srb.fm/podcast/rss/ and https://srb.fm/podcast/sendungen/ from https://srb.fm/podcast/ Do not read episodes.

It is Strangely formatted where each podcast title is also a link to Episode.
Additional InformationTicket 789
TagsNo tags attached.
Fixed in build2317

Relationships

related to 0006196 closedLudek MediaMonkey (current) Some Podcasts not Subscribing correctly 
related to 0017624 assignedrusty MediaMonkey 5 Podcast: Improved detection of podcast and RSS download 

Activities

Ludek

2021-02-28 22:21

developer   ~0062176

Last edited: 2021-03-01 14:02

View 13 revisions

These feeds are missing the <enclosure> element: https://www.w3schools.com/xml/rss_tag_enclosure.asp
So these are not valid podcast feeds.

Workaround could be to accept <link> element for such an invalid feeds, but I am not keen adding it as it isn't according to spec at all: https://validator.w3.org/feed/docs/rss2.html#hrelementsOfLtitemgt

link: The URL to the HTML website corresponding to the channel.
link: The URL of the item. http://www.nytimes.com/2002/09/07/movies/07FEST.html
enclosure: Describes a media object that is attached to the item. More. <enclosure url="http://live.curry.com/mp3/celebritySCms.mp3" length="1069871" type="audio/mpeg"/>

So it would generally result in downloading html content instead of the real media content.

Nevertheless we already done similar hacks in the past (0006196) so adding this another exception in 2316:
i.e. whenever media url cannot be found another way and the <link> element exists with known media extension, then the link is accepted as the media link.

=> Fixed in 2317

peke

2021-03-03 16:12

developer   ~0062210

Verified 2317

All supplied Podcasts work now.